public class Feld {
    public static final int sizeX = 16;
    public static final int sizeY = 8;
    public final NoSchiff none = new NoSchiff();

    public Schiff[][] map = {
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
            {none, none, none, none, none, none, none, none, none, none, none, none, none, none, none, none},
    };

    public Feld() {
    }

    public void printMap() {
        StringBuilder output = new StringBuilder("\033[2J");
        for (Schiff[] row : this.map) {
            for (Schiff ship : row) {
                // this seems to be the repr of the Schiff class, not the object actually?
                output.append(ship.repr());
            }
            output.append('\n');
        }
        System.out.println(output);
    }

    public boolean insertShip(Schiff ship, int x, int y) {
        System.out.println(String.format(
                "Inserting ship into map: %s",
                ship
        ));
        if (x >= sizeX || y >= sizeY || y < 0 || x < 0) {
            System.err.println(
                    String.format("Tried to insert a ship at invalid coordinates:\n"+
                    "x: %s\n"+
                    "y: %s\n", x, y)
            );
            return false;
        }

        this.map[x][y] = ship;
        assert this.map[x][y] == ship;
        return true;
    }

    public boolean hit(int x, int y) {
        if (x >= sizeX || y >= sizeY || y < 0 || x < 0) {
            System.err.println("Tried to hit a ship at invalid coordinates.");
            return false;
        }

        if (map[x][y] instanceof RealSchiff) {

        } else {
            // no hit
            return false;
        }

        // unreachable code
        return false;
    }
}
